﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />

        <script type="text/javascript">
function LogEvent(eventString)
{
 var d = new Date();
 var dateStr = d.getHours() + ":" + d.getMinutes() +
     ":" + d.getSeconds() + "." + d.getMilliseconds();
 document.getElementById("eventConsole").innerHTML =
    "[" + dateStr + "] " + eventString + "<br/>" +
     document.getElementById("eventConsole").innerHTML;
}
function OnClientCommand(sender, eventArgs)
{
 LogEvent("Window with ID " + sender.get_id() +
         ". Command is " + eventArgs.get_commandName());
}
function OnClientResize(sender, eventArgs)
{
LogEvent(eventArgs + "Window with ID " + sender.get_id() +
   " is being resized");
}
function OnClientDragStart(sender, eventArgs)
{
LogEvent(eventArgs + "Window with ID " + sender.get_id() +
  " drag started");
}
function OnClientDragEnd(sender, eventArgs)
{
LogEvent(eventArgs + "Window with ID " + sender.get_id() +
 " drag ended");
}
function OnClientPageLoad(sender, eventArgs)
{
LogEvent(eventArgs + "Window with ID " + sender.get_id() +
" completed loading the page");
}
function OnClientActivate(sender, eventArgs)
{
 LogEvent("Window with ID " + sender.get_id() +
 " is activated.");
}
function OnClientClose(sender, eventArgs)
{
 LogEvent("Window with ID " + sender.get_id() +
 " is closing.");
}
function OnClientShow(sender, eventArgs)
{
 LogEvent("Window with ID " + sender.get_id() +
 " showing.");
}
function ClientCB(sender, eventArgs)
{
  LogEvent("Window with ID " + sender.get_id() +
  " closeCB.");
}
        </script>

        <a id="link1" href="#">open window 1</a> 
        <a id="link2" href="#">open window 2</a>
        <div id="eventConsole" class="module" style="margin-top: 4px; height: 300px; overflow: auto;
            width: 500px;">
        </div>
        <div>
            <telerik:RadWindowManager ID="RadWindowManager1" runat="server"
             OnClientCommand = "OnClientCommand"
             OnClientResize = "OnClientResize" 
             OnClientDragStart = "OnClientDragStart" 
             OnClientDragEnd = "OnClientDragEnd"  
             OnClientActivate = "OnClientActivate" 
             OnClientPageLoad = "OnClientPageLoad" 
             OnClientClose = "OnClientClose" 
             OnClientShow = "OnClientShow" >
                <Windows>
                    <telerik:RadWindow runat="server" ID="RadWindow1" OpenerElementID="link1">
                    </telerik:RadWindow>
                    <telerik:RadWindow runat="server" ID="RadWindow2" OpenerElementID="link2">
                    </telerik:RadWindow>
                </Windows>
            </telerik:RadWindowManager>
        </div>
    </form>
</body>
</html>
